<?php
/*
Plugin Name: Football Results Widget
Plugin URI: http://www.footballresults247.com/football-results-wordpress-widget.html
Description: Displays javascript sidebar widget with latest football / soccer results from various leagues, filterable by league
Version: 1.0
Author: Mark Harrington
Author URI: http://www.footballresults247.com/football-results-wordpress-widget.html
License: GPLv2
*/

/* Copyright 2012 Mark Harrington (email : office@footballresults247.com)
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/


// use widgets_init action hook to execute custom function
add_action( 'widgets_init', 'footballresults247com_results_widget_register_widgets' );


//register widget
function footballresults247com_results_widget_register_widgets() {
register_widget( 'Footballresults247com_Results_Widget' );
}


// footballresults247com_results_widget class
class Footballresults247com_Results_Widget extends WP_Widget
{
	//process new widget
	function Footballresults247com_Results_Widget() {
		
		$widget_ops = array(
								'classname' 	=> 'Footballresults247com_Results_Widget_class',
								'description' 	=> 'Display latest football / soccer results.'
							);
							
		$this->WP_Widget( 'Footballresults247com_Results_Widget', 'Football Results Widget', $widget_ops );
	}
	
	
	
	//build the widget settings form
	function form($instance) {
		
		$defaults = array(
			'title'	 		=> 'Football Results',
			'widget_width' 	=> '160'
		);
		
		$instance 		= wp_parse_args( (array) $instance, $defaults );
		$title 			= $instance['title'];
		$widget_width	= $instance['widget_width'];
		?>
		<p>Title: <input class="widefat" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></p>
		<p>Select Width:
		<select name=" <?php echo $this->get_field_name( 'widget_width' ); ?>">
		<option value="160" <?php selected( $widget_width, 160 ); ?>>160</option>
		<option value="250" <?php selected( $widget_width, 250 ); ?>>250</option >
		<option value="300" <?php selected( $widget_width, 300 ); ?>>300</option >
		</select>
		</p>
		<?php
	}
	
	
	
	//save the widget settings
	function update($new_instance, $old_instance) {
		
		$instance = $old_instance;
		
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['widget_width'] = intval( trim( $new_instance['widget_width'] ) );
		
		$valid_arr = array(160, 250, 300);
		
		if(!in_array($instance['widget_width'], $valid_arr)) {
			$instance['widget_width'] = 160;
		}
		
		return $instance;
	}
	
	
	
	//display 
	function widget($args, $instance) {
		
		extract($args);
		
		echo $before_widget;

		//load the widget settings
		$title 			= apply_filters( 'widget_title', $instance['title'] );
		$widget_width 	= empty( $instance['widget_width'] ) ? 160 : $instance['widget_width'];

		if ( !empty( $title ) ) { echo $before_title . $title . $after_title; };
		
		switch ($widget_width)
		{
			case 250:
				$url = 'http://www.salesagents247.com/sports_widgets/football_results_250.js';
				break;
				
			case 300:
				$url = 'http://www.salesagents247.com/sports_widgets/football_results.js';
				break;
				
			default:
				$url = 'http://www.salesagents247.com/sports_widgets/football_results_160.js';
				break;
		}
		
		// show js
		echo '<script language="javascript" src="'.$url.'"></script>';
		
		echo $after_widget;
	}
}
?>